const  mongoose = require('mongoose');

const  Schema = mongoose.Schema;

const userSchema = new Schema({
    tutor_name:{type:String,required:true},
    tutor_nic:{type:String,required:true},
    tutor_email: {type:String,required:true},
    tutor_phone:{type:String,required:true},
    tutor_address:{type:String,required:true},
    tutor_password:{type:String,required:true},
    tutor_gender:{type:String},
    tutor_status:{type:String},
    tutor_image:{type:String},
    tutor_Stream:{type:String},
    tutor_subjects:[{type:String}],
    tutor_class_type:[{type:String}],
    tutor_main_district:{type:String},
    tutor_main_city:[{type:String}],
    tutor_medium:{type:String},
    tutor_qualification:{type:String},
    tutor_instituteIDList:[{type:mongoose.Schema.Types.ObjectId,ref: 'institute'}],
}, {
    timestamps:true,
});

const User = mongoose.model('tutor',userSchema);

module.exports = User;